> For AI agents: [llms.txt](https://docs.trustedauth.com/llms.txt) provides a Markdown index of this documentation.

# Get a smart credential

`GET /api/web/v1/smartcredentials/{id}`

Get the specified smart credential. Caller requires the SMARTCREDENTIALS:VIEW permission.

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| id | path | Yes | string | The UUID of the smart credential to be retrieved. |
| revocationInfo | query | No | boolean | Optional flag indicating if revocation inforamtion should be returned. Defaults to false if not specified. |

## Responses

### 200

Successful

#### application/json

Schema

```json
{
  "required": [
    "deviceVerified"
  ],
  "type": "object",
  "properties": {
    "allowedActions": {
      "type": "array",
      "description": "A list of administration actions currently allowed for this smart credential.",
      "items": {
        "type": "string",
        "description": "A list of administration actions currently allowed for this smart credential.",
        "enum": [
          "ACTIVATE",
          "REACTIVATE",
          "UPDATE",
          "UNASSIGN",
          "UNBLOCK",
          "ENABLE",
          "DISABLE",
          "DELETE",
          "VIEW_CERTIFICATES"
        ]
      }
    },
    "cardDigitalConfig": {
      "type": "object",
      "properties": {
        "allCAGroups": {
          "type": "boolean",
          "description": "If true, digital ids using this config will be set to have all CA groups."
        },
        "caGroups": {
          "type": "array",
          "description": "If allCAGroups is set to false then digital ids using this config will use this specified list of CA groups.",
          "items": {
            "type": "string",
            "description": "If allCAGroups is set to false then digital ids using this config will use this specified list of CA groups."
          }
        },
        "caId": {
          "type": "string",
          "description": "The UUID of the CA for this digital id config."
        },
        "caName": {
          "type": "string",
          "description": "The name of the CA for this digital id config."
        },
        "caType": {
          "type": "string",
          "description": "The CA type of this Digital Id Config.",
          "enum": [
            "EDC",
            "MS",
            "PKIAAS"
          ]
        },
        "certTemplates": {
          "type": "array",
          "description": "A list of cert templates associated with this digital id config.",
          "items": {
            "type": "object",
            "properties": {
              "digitalIdConfigId": {
                "type": "string",
                "description": "The UUID of the Digital Id Config that owns this Digital Id Config Cert Template."
              },
              "id": {
                "type": "string",
                "description": "The UUID of the Digital Id Config Cert Template."
              },
              "keyType": {
                "type": "string",
                "description": "The key type of the Digital Id Config Cert Template.",
                "enum": [
                  "RSA_2048",
                  "EC_P_256"
                ]
              },
              "lifetime": {
                "type": "integer",
                "description": "The lifetime (in months) of the certificate created with this Digital Id Config Cert Template.",
                "format": "int32"
              },
              "name": {
                "type": "string",
                "description": "The name of the Digital Id Config Cert Template."
              },
              "pivContainer": {
                "type": "string",
                "description": "The PIV container of the Digital Id Config Cert Template.",
                "enum": [
                  "PivAuth",
                  "CardAuth",
                  "DigSig",
                  "KeyMgmt",
                  "None"
                ]
              },
              "useCaDefaultCertLifetime": {
                "type": "boolean",
                "description": "A flag indicating whether to use the CA's default certificate lifetime."
              }
            },
            "description": "Information that describes a Digital Id Config Cert Template.",
            "title": "DigitalIdConfigCertTemplate"
          }
        },
        "certificateType": {
          "type": "string",
          "description": "The CA certificate type which digital ids using this config will use."
        },
        "digitalIdConfigTemplateId": {
          "type": "string",
          "description": "When creating a digital id config, default values can be provided from this specified digital id config template."
        },
        "directoryEntry": {
          "type": "boolean",
          "description": "A flag indicating if digital ids using this config will create directory entries in the CA."
        },
        "dnFormat": {
          "type": "string",
          "description": "The format which digital ids using this config will use for their DN."
        },
        "dnFormatSearchbaseIncluded": {
          "type": "boolean",
          "description": "Whether digital ids using this config should include the searchbase in their DN."
        },
        "id": {
          "type": "string",
          "description": "The UUID of this Digital Id Config."
        },
        "name": {
          "type": "string",
          "description": "The name of this Digital Id Config."
        },
        "role": {
          "type": "string",
          "description": "The CA role which digital ids using this config will use."
        },
        "searchbase": {
          "type": "string",
          "description": "The searchbase within the CA in which digital ids using this config will be created."
        },
        "subjectAltNames": {
          "type": "array",
          "description": "A list of subjectAltNames associated with this digital id config.",
          "items": {
            "type": "object",
            "properties": {
              "digitalIdConfigId": {
                "type": "string",
                "description": "The UUID of the digital id config that owns this subjectAltName."
              },
              "id": {
                "type": "string",
                "description": "The UUID of this Digital Id Config SubjectAltName."
              },
              "type": {
                "type": "string",
                "description": "The type of subjectAltName.",
                "enum": [
                  "EMAIL",
                  "UPN",
                  "IP",
                  "DNS",
                  "OTHER",
                  "X400",
                  "DN",
                  "EDI",
                  "URI",
                  "REGISTERED_ID"
                ]
              },
              "value": {
                "type": "string",
                "description": "The value for the subjectAltName."
              }
            },
            "description": "Information that describes a Digital Id Config SubjectAltName.",
            "title": "DigitalIdConfigSubjectAltName"
          }
        },
        "type": {
          "type": "string",
          "description": "The type of digital id.",
          "enum": [
            "PIV_CARDHOLDER",
            "PIV_CARD"
          ]
        },
        "userType": {
          "type": "string",
          "description": "The CA user type which digital ids using this config will use."
        },
        "variables": {
          "type": "array",
          "description": "A list of variables associated with this digital id config.",
          "items": {
            "type": "object",
            "properties": {
              "digitalIdConfigId": {
                "type": "string",
                "description": "The UUID of the Digital Id Config that owns this Digital Id Config Variable."
              },
              "id": {
                "type": "string",
                "description": "The UUID of the Digital Id Config Variable."
              },
              "includedInDN": {
                "type": "boolean",
                "description": "A flag indicating if values for this variable are included in the Digital Id's DN when it is generated by the CA."
              },
              "name": {
                "type": "string",
                "description": "The name of the Digital Id Config Variable."
              },
              "type": {
                "type": "string",
                "description": "The type of the Digital Id Config Variable.",
                "enum": [
                  "CERTIFICATE",
                  "USER",
                  "VARIABLE",
                  "CUSTOM"
                ]
              },
              "value": {
                "type": "string",
                "description": "The value of the Digital Id Config Variable."
              }
            },
            "description": "Information that describes a Digital Id Config Variable.",
            "title": "DigitalIdConfigVariable"
          }
        }
      },
      "description": "Information that defines how digital ids are created in the CA.",
      "title": "DigitalIdConfig"
    },
    "cardDigitalConfigId": {
      "type": "string",
      "description": "The UUID of the Card Digital Id config of this smart credential. If not set, the smart credential will not have a Card Digital Id."
    },
    "cardDigitalConfigRequired": {
      "type": "boolean",
      "description": "Indicates if the card digitalid config is required or not."
    },
    "cardHolderDigitalConfig": {
      "type": "object",
      "properties": {
        "allCAGroups": {
          "type": "boolean",
          "description": "If true, digital ids using this config will be set to have all CA groups."
        },
        "caGroups": {
          "type": "array",
          "description": "If allCAGroups is set to false then digital ids using this config will use this specified list of CA groups.",
          "items": {
            "type": "string",
            "description": "If allCAGroups is set to false then digital ids using this config will use this specified list of CA groups."
          }
        },
        "caId": {
          "type": "string",
          "description": "The UUID of the CA for this digital id config."
        },
        "caName": {
          "type": "string",
          "description": "The name of the CA for this digital id config."
        },
        "caType": {
          "type": "string",
          "description": "The CA type of this Digital Id Config.",
          "enum": [
            "EDC",
            "MS",
            "PKIAAS"
          ]
        },
        "certTemplates": {
          "type": "array",
          "description": "A list of cert templates associated with this digital id config.",
          "items": {
            "type": "object",
            "properties": {
              "digitalIdConfigId": {
                "type": "string",
                "description": "The UUID of the Digital Id Config that owns this Digital Id Config Cert Template."
              },
              "id": {
                "type": "string",
                "description": "The UUID of the Digital Id Config Cert Template."
              },
              "keyType": {
                "type": "string",
                "description": "The key type of the Digital Id Config Cert Template.",
                "enum": [
                  "RSA_2048",
                  "EC_P_256"
                ]
              },
              "lifetime": {
                "type": "integer",
                "description": "The lifetime (in months) of the certificate created with this Digital Id Config Cert Template.",
                "format": "int32"
              },
              "name": {
                "type": "string",
                "description": "The name of the Digital Id Config Cert Template."
              },
              "pivContainer": {
                "type": "string",
                "description": "The PIV container of the Digital Id Config Cert Template.",
                "enum": [
                  "PivAuth",
                  "CardAuth",
                  "DigSig",
                  "KeyMgmt",
                  "None"
                ]
              },
              "useCaDefaultCertLifetime": {
                "type": "boolean",
                "description": "A flag indicating whether to use the CA's default certificate lifetime."
              }
            },
            "description": "Information that describes a Digital Id Config Cert Template.",
            "title": "DigitalIdConfigCertTemplate"
          }
        },
        "certificateType": {
          "type": "string",
          "description": "The CA certificate type which digital ids using this config will use."
        },
        "digitalIdConfigTemplateId": {
          "type": "string",
          "description": "When creating a digital id config, default values can be provided from this specified digital id config template."
        },
        "directoryEntry": {
          "type": "boolean",
          "description": "A flag indicating if digital ids using this config will create directory entries in the CA."
        },
        "dnFormat": {
          "type": "string",
          "description": "The format which digital ids using this config will use for their DN."
        },
        "dnFormatSearchbaseIncluded": {
          "type": "boolean",
          "description": "Whether digital ids using this config should include the searchbase in their DN."
        },
        "id": {
          "type": "string",
          "description": "The UUID of this Digital Id Config."
        },
        "name": {
          "type": "string",
          "description": "The name of this Digital Id Config."
        },
        "role": {
          "type": "string",
          "description": "The CA role which digital ids using this config will use."
        },
        "searchbase": {
          "type": "string",
          "description": "The searchbase within the CA in which digital ids using this config will be created."
        },
        "subjectAltNames": {
          "type": "array",
          "description": "A list of subjectAltNames associated with this digital id config.",
          "items": {
            "type": "object",
            "properties": {
              "digitalIdConfigId": {
                "type": "string",
                "description": "The UUID of the digital id config that owns this subjectAltName."
              },
              "id": {
                "type": "string",
                "description": "The UUID of this Digital Id Config SubjectAltName."
              },
              "type": {
                "type": "string",
                "description": "The type of subjectAltName.",
                "enum": [
                  "EMAIL",
                  "UPN",
                  "IP",
                  "DNS",
                  "OTHER",
                  "X400",
                  "DN",
                  "EDI",
                  "URI",
                  "REGISTERED_ID"
                ]
              },
              "value": {
                "type": "string",
                "description": "The value for the subjectAltName."
              }
            },
            "description": "Information that describes a Digital Id Config SubjectAltName.",
            "title": "DigitalIdConfigSubjectAltName"
          }
        },
        "type": {
          "type": "string",
          "description": "The type of digital id.",
          "enum": [
            "PIV_CARDHOLDER",
            "PIV_CARD"
          ]
        },
        "userType": {
          "type": "string",
          "description": "The CA user type which digital ids using this config will use."
        },
        "variables": {
          "type": "array",
          "description": "A list of variables associated with this digital id config.",
          "items": {
            "type": "object",
            "properties": {
              "digitalIdConfigId": {
                "type": "string",
                "description": "The UUID of the Digital Id Config that owns this Digital Id Config Variable."
              },
              "id": {
                "type": "string",
                "description": "The UUID of the Digital Id Config Variable."
              },
              "includedInDN": {
                "type": "boolean",
                "description": "A flag indicating if values for this variable are included in the Digital Id's DN when it is generated by the CA."
              },
              "name": {
                "type": "string",
                "description": "The name of the Digital Id Config Variable."
              },
              "type": {
                "type": "string",
                "description": "The type of the Digital Id Config Variable.",
                "enum": [
                  "CERTIFICATE",
                  "USER",
                  "VARIABLE",
                  "CUSTOM"
                ]
              },
              "value": {
                "type": "string",
                "description": "The value of the Digital Id Config Variable."
              }
            },
            "description": "Information that describes a Digital Id Config Variable.",
            "title": "DigitalIdConfigVariable"
          }
        }
      },
      "description": "Information that defines how digital ids are created in the CA.",
      "title": "DigitalIdConfig"
    },
    "cardHolderDigitalConfigId": {
      "type": "string",
      "description": "The UUID of the Card Holder Digital Id config of this smart credential. If not set, the smart credential will not have a Card Holder Digital Id."
    },
    "cardHolderDigitalConfigRequired": {
      "type": "boolean",
      "description": "Indicates if the card holder digitalid config is required or not."
    },
    "certificates": {
      "type": "array",
      "description": "A list of certificates associated with this smart credential.",
      "items": {
        "type": "object",
        "properties": {
          "description": {
            "type": "string",
            "description": "The description providing the purpose of this certificate."
          },
          "digitalIdId": {
            "type": "string",
            "description": "The UUID of the digital id to which this certificate belongs"
          },
          "digitalIdType": {
            "type": "string",
            "description": "The type of the digital Id to which this certificate belongs.",
            "enum": [
              "PIV_CARDHOLDER",
              "PIV_CARD"
            ]
          },
          "id": {
            "type": "string",
            "description": "The UUID of this Digital Id Certificate."
          },
          "issuerDN": {
            "type": "string",
            "description": "The issuer DN of this certificate."
          },
          "notAfter": {
            "type": "string",
            "description": "The expiry date of this certificate.",
            "format": "date-time",
            "example": "2019-02-19T13:15:27Z"
          },
          "notBefore": {
            "type": "string",
            "description": "The issue date of this certificate.",
            "format": "date-time",
            "example": "2019-02-19T13:15:27Z"
          },
          "pivContainer": {
            "type": "string",
            "description": "The name of the PIV container that stores this certificate on the smart card."
          },
          "serialNumber": {
            "type": "string",
            "description": "The serial number of this certificate."
          },
          "status": {
            "type": "string",
            "description": "The status of this certificate. If not set, the revocation status has not been retrieved from the CA.",
            "enum": [
              "ACTIVE",
              "REVOKED",
              "HOLD",
              "EXPIRED",
              "NOT_AVAILABLE"
            ]
          },
          "subjectDN": {
            "type": "string",
            "description": "The subject DN of this certificate."
          }
        },
        "description": "Information stored about a certificate associated with a digital id.",
        "title": "DigitalIdCert"
      }
    },
    "chipId": {
      "type": "string",
      "description": "The chip id of the smart card set when the smart credential is encoded."
    },
    "deviceVerified": {
      "type": "boolean",
      "description": "A flag indicating if the smart credential is enrolled on a verified device."
    },
    "digitalIds": {
      "type": "array",
      "description": "A list of digital ids associated with this smart credential.",
      "items": {
        "type": "object",
        "properties": {
          "certificates": {
            "type": "array",
            "description": "The certificates associated with this digital id.",
            "items": {
              "type": "object",
              "properties": {
                "description": {
                  "type": "string",
                  "description": "The description providing the purpose of this certificate."
                },
                "digitalIdId": {
                  "type": "string",
                  "description": "The UUID of the digital id to which this certificate belongs"
                },
                "digitalIdType": {
                  "type": "string",
                  "description": "The type of the digital Id to which this certificate belongs.",
                  "enum": [
                    "PIV_CARDHOLDER",
                    "PIV_CARD"
                  ]
                },
                "id": {
                  "type": "string",
                  "description": "The UUID of this Digital Id Certificate."
                },
                "issuerDN": {
                  "type": "string",
                  "description": "The issuer DN of this certificate."
                },
                "notAfter": {
                  "type": "string",
                  "description": "The expiry date of this certificate.",
                  "format": "date-time",
                  "example": "2019-02-19T13:15:27Z"
                },
                "notBefore": {
                  "type": "string",
                  "description": "The issue date of this certificate.",
                  "format": "date-time",
                  "example": "2019-02-19T13:15:27Z"
                },
                "pivContainer": {
                  "type": "string",
                  "description": "The name of the PIV container that stores this certificate on the smart card."
                },
                "serialNumber": {
                  "type": "string",
                  "description": "The serial number of this certificate."
                },
                "status": {
                  "type": "string",
                  "description": "The status of this certificate. If not set, the revocation status has not been retrieved from the CA.",
                  "enum": [
                    "ACTIVE",
                    "REVOKED",
                    "HOLD",
                    "EXPIRED",
                    "NOT_AVAILABLE"
                  ]
                },
                "subjectDN": {
                  "type": "string",
                  "description": "The subject DN of this certificate."
                }
              },
              "description": "Information stored about a certificate associated with a digital id.",
              "title": "DigitalIdCert"
            }
          },
          "digitalIdConfigId": {
            "type": "string",
            "description": "The UUID of the digital Id config that defines this digital Id."
          },
          "digitalIdConfigName": {
            "type": "string",
            "description": "The name of the digital id Config that defines this digital Id."
          },
          "digitalIdConfigType": {
            "type": "string",
            "description": "The type of this digital Id.",
            "enum": [
              "PIV_CARDHOLDER",
              "PIV_CARD"
            ]
          },
          "dn": {
            "type": "string",
            "description": "The current DN of the digital id."
          },
          "id": {
            "type": "string",
            "description": "The UUID of this DigitalId."
          }
        },
        "description": "Information stored about a digital id.",
        "title": "DigitalId"
      }
    },
    "encodeMsg": {
      "type": "string",
      "description": "For smart credentials that have failed to encode, the encode message stores a message providing information about the failure."
    },
    "encodeState": {
      "type": "string",
      "description": "The encode state of a smart credential indicates if encoding has started, completed successfully or failed.",
      "enum": [
        "ENCODE_START",
        "ENCODE_DONE",
        "ENCODE_ERROR"
      ]
    },
    "enrollState": {
      "type": "string",
      "description": "The enrollment state of a smart credential indicates if all of the necessary enrollment values have been collected. Only smart credentials in the ENROLLED state can be activated.",
      "enum": [
        "ENROLLING",
        "ENROLLED"
      ]
    },
    "expiryDate": {
      "type": "string",
      "description": "For issued smart credentials, the expiry date is the date on which the smart credential will expire.",
      "format": "date-time",
      "example": "2019-02-19T13:15:27Z"
    },
    "id": {
      "type": "string",
      "description": "The unique UUID assigned to the smart credential when it is created."
    },
    "issueDate": {
      "type": "string",
      "description": "The date on which the smart credential was issued.",
      "format": "date-time",
      "example": "2019-02-19T13:15:27Z"
    },
    "notifyEnabled": {
      "type": "boolean",
      "description": "A flag indicating if notification is enabled for this smart credential."
    },
    "platform": {
      "type": "string",
      "description": "The platform of the Mobile SC application on which this smart credential was encoded."
    },
    "scDefnId": {
      "type": "string",
      "description": "The UUID of the Smart Credential Definition that defines this smart credential."
    },
    "scDefnName": {
      "type": "string",
      "description": "The name of the smart credential definition of this smart credential."
    },
    "serialNumber": {
      "type": "string",
      "description": "The unique serial number of the smart credential generated when it is created."
    },
    "state": {
      "type": "string",
      "description": "The state of the smart credential.  Only smart credentials in the ACTIVE state can be used for authentication.",
      "enum": [
        "ACTIVE",
        "INACTIVE"
      ]
    },
    "userId": {
      "type": "string",
      "description": "The UUID of the user that owns this smart credential."
    },
    "userUserId": {
      "type": "string",
      "description": "The user Id of the user that owns this smart credential."
    },
    "variableValues": {
      "type": "array",
      "description": "Variable values for this smart credential",
      "items": {
        "type": "object",
        "properties": {
          "scDefnVariable": {
            "type": "object",
            "properties": {
              "defaultValue": {
                "type": "string",
                "description": "The default value of this variable."
              },
              "displayable": {
                "type": "boolean",
                "description": "A flag indicating if values for this variable should be displayed."
              },
              "generate": {
                "type": "boolean",
                "description": "A flag indicating if the initial value for this variable should be generated."
              },
              "generateLength": {
                "type": "integer",
                "description": "A length value used when generating values for this variable.",
                "format": "int32"
              },
              "id": {
                "type": "string",
                "description": "The UUID of this SC Defn Variable."
              },
              "modifiable": {
                "type": "boolean",
                "description": "A flag indicating if values for this variable can be modified."
              },
              "name": {
                "type": "string",
                "description": "The name of this SC Defn Variable."
              },
              "order": {
                "type": "integer",
                "description": "A value that specifies the order of this variable with respect to the other variables in the SC Defn.",
                "format": "int32"
              },
              "prompt": {
                "type": "string",
                "description": "Optional prompt to be used when prompting for a value for this variable."
              },
              "required": {
                "type": "boolean",
                "description": "A flag indicating if a value is required for this variable."
              },
              "restrictionDigits": {
                "type": "string",
                "description": "A value specifying restrictions on digits appearing in values of this variable.",
                "enum": [
                  "ALLOWED",
                  "REQUIRED",
                  "NOT_ALLOWED",
                  "NOT_SET"
                ]
              },
              "restrictionLower": {
                "type": "string",
                "description": "A value specifying restrictions on lowercase characters appearing in values of this variable.",
                "enum": [
                  "ALLOWED",
                  "REQUIRED",
                  "NOT_ALLOWED",
                  "NOT_SET"
                ]
              },
              "restrictionMax": {
                "type": "integer",
                "description": "A value indicating a maximum for values of this variable. How this is enforced depends on the variable type.",
                "format": "int32"
              },
              "restrictionMin": {
                "type": "integer",
                "description": "A value indicating a minimum for values of this variable. How this is enforced depends on the variable type.",
                "format": "int32"
              },
              "restrictionRegex": {
                "type": "string",
                "description": "A value specifying a regex that values of this variable must match."
              },
              "restrictionSpecial": {
                "type": "string",
                "description": "A value specifying restrictions on special characters appearing in values of this variable.",
                "enum": [
                  "ALLOWED",
                  "REQUIRED",
                  "NOT_ALLOWED",
                  "NOT_SET"
                ]
              },
              "restrictionUpper": {
                "type": "string",
                "description": "A value specifying restrictions on uppercase characters appearing in values of this variable.",
                "enum": [
                  "ALLOWED",
                  "REQUIRED",
                  "NOT_ALLOWED",
                  "NOT_SET"
                ]
              },
              "scDefnId": {
                "type": "string",
                "description": "The UUID of the SC Defn that owns this variable definition."
              },
              "type": {
                "type": "string",
                "description": "The type of this variable.",
                "enum": [
                  "STRING",
                  "BOOLEAN",
                  "INTEGER",
                  "UUID"
                ]
              },
              "uniqueness": {
                "type": "string",
                "description": "A flag indicating if values of this variable must be unique and if so within what scope.",
                "enum": [
                  "GLOBAL",
                  "USER",
                  "NONE"
                ]
              },
              "uniquenessScopeId": {
                "type": "string",
                "description": "A value that allows a variable to be defined unique in the scope of another variable."
              }
            },
            "description": "SC Defn Variables define the details about variables defined in the SC Defn.",
            "title": "SCDefnVariable"
          },
          "scDefnVariableId": {
            "type": "string",
            "description": "The UUID of the SC Defn Variable that defines the variable."
          },
          "value": {
            "type": "string",
            "description": "The variable value."
          }
        },
        "description": "SCVariableValues store variable values for a smart credential.",
        "title": "SCVariableValue"
      }
    },
    "version": {
      "type": "string",
      "description": "The version of the Mobile SC application on which this smart credential was encoded."
    }
  },
  "description": "Information returned from the service about a smart credential.",
  "title": "SmartCredential"
}
```

### 400

Bad Request

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 401

Access denied

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 403

Forbidden

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 404

Not Found

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 409

Conflict

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

## Security

Requirements

```json
[
  {
    "AdminAPIAuthentication": [
      "SMARTCREDENTIALS:VIEW"
    ]
  }
]
```
